/* Color */

body {
    --movim-main: 255, 87, 34;
    --movim-accent: 65, 63, 181;
    --movim-background-main: 255, 255, 255;
    --movim-background: 238, 238, 238;
    --movim-gray: 35, 35, 35;
    --movim-font: 0, 0, 0;
    --movim-element-action: 153, 153, 153;
    scrollbar-color: rgba(var(--movim-font), 0.2) transparent;
}

body.nightmode {
    --movim-accent: 16, 21, 26;
    --movim-background-main: 20, 26, 33;
    --movim-background: 25, 32, 40;
    --movim-gray: var(--movim-accent);
    --movim-font: 255, 255, 255;
    scrollbar-color: rgba(var(--movim-font), 0.1) transparent;
}

body {
    background-color: rgb(var(--movim-gray));
}

body > *,
.context_menu,
.icon-text,
.tabs a,
input, textarea, select {
    color: rgba(var(--movim-font), 0.87);
}

ul.list li.divided,
ul.list li.divided.spaced:after,
hr:not(.clear),
.card > .block:not(.subheader):not(.simple),
*.divided > *:not(:last-child),
*.divided.spaced > *:not(:last-child):after {
    border-color: rgba(var(--movim-font), 0.12);
}

ul.list li span.control.divided:before {
    border-color: rgba(var(--movim-font), 0.128);
}

label, span.info,
li div.bubble:after,
table tr th {
    color: rgba(var(--movim-font), 0.54);
}

.highlighted {
    background-color: rgba(var(--movim-font), 0.035);
    border-radius: 0.5rem;
}

.color {
    background-color: var(--p-bgray);
    color: white;
}

.color.dark {
    background-color: rgb(var(--movim-gray));
}

.color.dark *.divided > *:not(:last-child),
.color.dark hr {
    border-color: rgba(255, 255, 255, 0.05);
}

ul li.date > div > p.normal,
.dialog, .drawer, ul.context_menu,
.card > .block:not(.subheader):not(.simple),
ul.list.actions p,
main {
    background-color: rgb(var(--movim-background-main));
}

main > header a,
.icon:not(.placeholder):not(.active) a,
.color input {
    color: white;
}

.button.color,
.color,
span.icon span.counter,
span.icon[data-counter]:after,
span.icon.composing:after,
form > div .radio > input[type="radio"]:checked + label {
    border-color: rgb(var(--movim-main));
    background-color: rgb(var(--movim-main));
    color: white;
}

span.icon span.counter.alt {
    background-color: rgb(var(--movim-accent));
}

/* Elements */

.button.red,    .icon.red   , span.resource.red, p.encrypted.error { color: var(--p-red); }
.button.purple, .icon.purple, span.resource.purple   { color: var(--p-purple); }
.button.indigo, .icon.indigo, span.resource.indigo   { color: var(--p-indigo); }
.button.blue,   .icon.blue  , span.resource.blue     { color: var(--p-blue); }
.button.green,  .icon.green , span.resource.green    { color: var(--p-green); }
li div.bubble.moderator:after,
ul li div > p > span.moderator,
.button.orange, .icon.orange, span.resource.orange   { color: var(--p-orange); }
.button.yellow, .icon.yellow, span.resource.yellow   { color: #FBC02D; }
.button.brown,  .icon.brown , span.resource.brown    { color: var(--p-brown); }
ul li.action > div.action,
ul li.action > form > div.action,
.button.gray,   .icon.gray  , span.resource.gray     { color: var(--p-gray); }
.button.black,  .icon.black , span.resource.black    { color: var(--p-black); }
.button.lime,   .icon.lime  , span.resource.lime     { color: var(--p-lime) }
.button.cyan,   .icon.cyan  , span.resource.cyan     { color: var(--p-cyan) }
.button.teal,   .icon.teal  , span.resource.teal     { color: var(--p-teal) }
.button.pink,   .icon.pink  , span.resource.pink     { color: var(--p-pink) }
.button.dorange,.icon.dorange  , span.resource.dorange  { color: var(--p-dorange) }
.button.lblue,  .icon.lblue  , span.resource.lblue   { color: var(--p-lblue) }
.button.amber,  .icon.anber  , span.resource.amber   { color: var(--p-amber) }
.button.bgray,  .icon.bgray  , span.resource.bgray   { color: var(--p-bgray) }

.color          { color: white; background-color: var(--p-bgray); border-color: var(--p-bgray) }
span.icon:not(.composing):not([data-counter]).status.dnd:after,
.color.red      { color: white; background-color: var(--p-red); border-color: var(--p-red) }
span.icon:not(.composing):not([data-counter]).status.xa:after,
.color.slack,
.color.discord,
.color.purple   { color: white; background-color: var(--p-purple); border-color: var(--p-purple) }
.color.signal,
.color.mattermost,
.color.indigo   { color: white; background-color: var(--p-indigo); border-color: var(--p-indigo) }
.color.facebook,
.color.blue     { color: white; background-color: var(--p-blue); border-color: var(--p-blue) }
span.icon:not(.composing):not([data-counter]).status.chat:after,
span.icon:not(.composing):not([data-counter]).status.online:after,
.color.xmpp,
.color.green    { color: white; background-color: var(--p-green); border-color: var(--p-green) }
.color.orange   { color: white; background-color: var(--p-orange); border-color: var(--p-orange) }
span.icon:not(.composing):not([data-counter]).status.away:after,
.color.yellow   { color: white; background-color: var(--p-yellow); border-color: var(--p-yellow) }
span.icon:not(.composing):not([data-counter]).status.server_error:after,
.color.brown    { color: white; background-color: var(--p-brown); border-color: var(--p-brown) }
.color.gray     { color: white; background-color: var(--p-gray); border-color: var(--p-gray) }
.color.black    { color: white; background-color: var(--p-black); border-color: var(--p-black) }
.color.lime     { color: white; background-color: var(--p-lime); border-color: var(--p-lime) }
.color.telegram,
.color.cyan     { color: white; background-color: var(--p-cyan); border-color: var(--p-cyan) }
.color.whatsapp,
.color.teal     { color: white; background-color: var(--p-teal); border-color: var(--p-teal) }
.color.pink     { color: white; background-color: var(--p-pink); border-color: var(--p-pink) }
.color.hackernews,
.color.dorange  { color: white; background-color: var(--p-dorange); border-color: var(--p-dorange) }
.color.skype,
.color.lblue    { color: white; background-color: var(--p-lblue); border-color: var(--p-lblue) }
.color.amber    { color: white; background-color: var(--p-amber); border-color: var(--p-amber) }
.color.steam,
.color.bgray    { color: white; background-color: var(--p-bgray); border-color: var(--p-bgray) }

.color.transparent { color: white; background-color: rgba(0, 0, 0, 0); }
.color.semi { color: rgba(var(--movim-font), 0.87); background-color: rgba(var(--movim-background-main), 0.75); }
rect#red {
    fill: #6e40aa;
  }
form > div > input:focus:invalid,
form > div > input:focus:required {
    box-shadow: 0px 2px 0px var(--p-red);
}

form > div > input:invalid,
form input:focus:invalid + label,
form textarea:focus:invalid + label {
    color: var(--p-red);
}

/* Chat edit */
#chat_widget .chat_box form textarea.edit:focus {
    box-shadow: 0px 2px 0px #FBC02D;
}

body:not(.nightmode) header.fixed ul.list li > div > p span.second {
    color: rgba(var(--movim-background-main), 0.60);
}

ul.list li > div > p:nth-last-of-type(3) + p:not(.normal):not(.main),
ul.list li > div > p:nth-last-of-type(2) + p:not(.normal):not(.main) {
    color: rgba(var(--movim-font), 0.60);
}

body:not(.nightmode) header.fixed ul.list li > div > p:nth-last-of-type(3) + p:not(.normal):not(.main),
body:not(.nightmode) header.fixed ul.list li > div > p:nth-last-of-type(2) + p:not(.normal):not(.main),
body:not(.nightmode) header.big ul.list li > div > p:nth-last-of-type(3) + p:not(.normal):not(.main),
body:not(.nightmode) header.big ul.list li > div > p:nth-last-of-type(2) + p:not(.normal):not(.main),
body:not(.nightmode) div.snackbar ul.list li > div > p:nth-last-of-type(2) + p:not(.normal):not(.main) {
    color: rgba(var(--movim-background-main), 0.80);
}

/* Default color : indigo */

input[type=button].color,
main > div > header.fixed,
header.big,
main > header {
    background-color: rgb(var(--movim-accent));
    color: white;
    border-color: rgb(var(--movim-accent));
}

main > header ul.list li > div > p:nth-last-of-type(2) + p {
    color: white;
}

/* Gray accent : orange */

.tabs,
.button,
header:not(.big) .icon a,
a {
    color: rgb(var(--movim-main));
    border-color: rgb(var(--movim-main));
}

form > div .checkbox:before { background-color: rgba(var(--movim-main), 0.5); }
/*form > div .checkbox > input[type="checkbox"]:checked + label { background-color: rgb(var(--movim-main)); }*/

form input:focus:not(:invalid) + label,
form textarea:focus:not(:invalid) + label {
    color: rgb(var(--movim-main));
}

form input:focus:not(:invalid):not(.button),
form textarea:focus:not(:invalid):not(.button) {
    box-shadow: 0px 2px 0px rgb(var(--movim-main));
}
